document.addEventListener("DOMContentLoaded", () => {
    const chatBox = document.getElementById("chat-box");
    const messageForm = document.getElementById("message-form");
    const messageInput = document.getElementById("message-input");

    // Function to add message to chat box
    function addMessage(text, type) {
        const messageElement = document.createElement("div");
        messageElement.textContent = text;
        messageElement.classList.add("message", type);
        chatBox.appendChild(messageElement);
        chatBox.scrollTop = chatBox.scrollHeight;
    }

    // Handle message send
    messageForm.addEventListener("submit", (e) => {
        e.preventDefault();
        const messageText = messageInput.value.trim();
        if (messageText !== "") {
            addMessage(messageText, "sent");
            messageInput.value = "";

            // Simulate received message after 1 second
            setTimeout(() => {
                addMessage("This is an auto-reply!", "received");
            }, 1000);
        }
    });
});